package com.itsclicking.clickapp.fluttersocketio;

import java.util.Map;

public interface ISocketIO {
    String getNameSpace();
    void connect();
    void sendMessage(String event, String message);
    void subscribes(String channelName, String callback);
    void subscribes(Map<String, String> subscribes);

    void unSubscribes(String channelName, String callback);
    void unSubscribes(Map<String, String> subscribes);

    void unSubscribesAll();
    void disconnect();
    void destroy();

    boolean isConnected();
}
