package com.itsclicking.clickapp.fluttersocketio;

import java.util.Map;

import io.flutter.plugin.common.MethodChannel;

public interface ISocketIOManager {
    void connectSocket(MethodChannel channel, String socketNameSpace, String callbackStatus);
    void sendMessage(String socketNameSpace,String event, String message);
    void subscribes(String socketNameSpace, Map<String, String> subscribes);
    void unSubscribes(String socketNameSpace, Map<String, String> subscribes);
    void disconnect(String socketNameSpace);
    boolean isSocketConnected(String socketNameSpace);

    void destroySocket(String socketNameSpace);
    void destroyAllSockets();
}
